List customer accounts
Your accounts, filterable by status and paged.
Send your secret key: Authorization: Bearer sk_live_…. See authentication.
curl "https://api.paymonetra.com/v1/customer_accounts?status=active&limit=50&offset=0" \
-H "Authorization: Bearer sk_live_..."| query | default | notes |
|---|---|---|
status | active | active, retired or all |
limit | 50 | up to 100 |
offset | 0 |
{
"data": [
{
"customer_reference": "cus_9f21",
"customer_name": "Ngozi Nwosu",
"account_number": "8021234567",
"account_name": "MONETRA - Samifunds (Ngozi Nwosu)",
"bank_name": "Payrep MFB",
"status": "active",
"mode": "live",
"credits": 3,
"collected_total": 45000,
"last_credit_at": "2026-09-27T14:02:10+01:00",
"created_at": "2026-08-28T19:18:33+01:00"
}
],
"limit": 50,
"offset": 0
}Each item has the same fields as the single fetch.
Customer accounts has the context around this call.